LFR-FSW - Bug #238

Wrong behavior after SY_xxx_DPU_CONNECT_ATTEMPT unsuccessful attempts of connection with
the DPU

16/09/2014 03:14 PM - bruno katra

Status: Closed Start date: 16/09/2014
Priority: High Due date:

Assignee: bruno katra % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

also tracked by https:/jira-lesia.obspm.fr/browse/RPWSWR-623
Conforming to SSS-CP-EQS-155, after unsuccesful attempts to connect to DPU : LFR should enter in standby mode.

The test we made (SVS-0064) by unplugging SpaceWire link when in normal mode and replugging it after shows that LFR stayed in
Normal mode instead of going to standby.

Contexte:

SocExplorer

Carte EM2

Vhdl:

Soft: 1.0.0.11 (variante sur carte finale)
Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0064

History

#1 - 05/02/2015 08:57 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to bruno katra

modification des timeout et de la séquence de tentative de reconnection.

relancer le test en FSW >= 2.0.2.1

#2 - 15/10/2015 11:29 AM - bruno katra
- Assignee changed from bruno katra to paul leroy

- Priority changed from Normal to High

Retesté en 2.0.2.1 et 3.0.0.10 et VHDL 1.1.89 : bug toujours présent.

On s'est mis en NORMAL puis on a deconnecté l'interface SpW.

Lors de la reconnection environ 60 secondes aprées : on voit uniquement des HK arriver dans SocExplorer MAIS les HK montrent que le LFR_MODE
esta 1 + une demande changement de mode vers NORMAL renvoie NOT_EXECUTABLE confirmant ainsi que LFR est resté en NORMAL mais
sans production de paquets SCIENCE.

Trace APB_UART :

in suspend_science_tasks

OK *in action_enter_mode enter mode 1

in PRCO lfrRequestedMode is 1, several headers not initialized
in PRC1 IfrRequestedMode is 1, several headers not initialized
in SPIQ got SPW_LINKERR_EVENT

in SPIQ linkStatus 2, wait...

in spacewire_reset_link link recovery, try 0

in spacewire_reset_link ERR spacewire_start_link code -1
in spacewire_reset_link link recovery, try 1

in spacewire_reset_link ERR spacewire_start_link code -1

in spacewire_reset_link link recovery, try 2

in spacewire_reset_link ERR spacewire_start_link code -1

in suspend_science_tasks
in WTDG wait for the link
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send:
in HOUS ERR send: 5

in HOUS ERR send: 5

in WTDG * OK link started
#3 - 15/10/2015 11:29 AM - bruno katra

- Status changed from Resolved to In Progress

#4 - 04/12/2015 04:38 PM - bruno katra

- Description updated

#5 - 04/12/2015 04:39 PM - bruno katra

- Description updated

#6 - 26/01/2016 03:21 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

corrigé dans fsw >= 3.0.0.14

J'ai repéré le bug. Les HK n'était pas a jour et la variable locale IfrCurrentMode non plus.

Normalement, ¢a devrait marcher maintenant. Pour le moins le test que vous avez fait, j'ai essayé de mon c6té avec MINI-LFR 0.1.89.

#7 - 01/03/2016 04:44 PM - bruno katra
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

testé OK
